{% extends "index.html" %}

{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="/static/css/client/units.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/radio.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/size_guide_sm.css">

{% endblock %}

{% block content %}

<br>
<div class="row newpod">
    <div class="col-md-5">


        <div id="order_div">
            <h4>Hire Pod</h4>

            <form id="pod_form" action="" method="post">

                <ul class="nav nav-tabs">
                    <li id="menu0_li" class="active"><a href="#menu0">Choose size</a></li>
                    <li id="menu1_li"><a href="#menu1">Delivery</a></li>
                    <li id="menu2_li"><a href="#menu2">Payment</a></li>
                </ul>
                <div class="tab-content">


                    <div id="menu0" class="tab-pane fade in active">
                        <h3>POD size</h3>

                        <div class="form-group">
                            <label for="pod_size">POD size:</label>
                            <select onchange="getQuote()" required id="pod_sizes" name="pod_size" class="form-control">

                            </select>
                        </div>


                         <div id="lock_selection" class="form-group">
                            <label>Do you want a lock for your unit?</label>
                            <select onchange="getQuote()" class="form-control" id="lock_required" required>
                                <option  value="">Please select an option</option>
                                <option id="lock_option" value="Yes">Yes</option>
                                <option value="No">No, I have one already</option>
                            </select>
                        </div>
  <label id="lock_label">Please choose a lock</label>

<div class="form-group" style="display: none;" id="lock_options">

<label>
  <input type="radio" name="lock" value="lock1" checked>
  <img width=200 style="margin:10px;" id="" src="/static/images/lock1.png" class="img-rounded" alt="podit lock">
<p>{{lock1.name}}</p>
<p style="font-size:12px;">R{{lock1.price}}</p> 
</label>

<label>
  <input type="radio" name="lock" value="lock2">
<img width=200 id="" style="margin:10px;" src="/static/images/lock2.png" class="img-rounded" alt="podit lock">
<p>{{lock2.name}}</p>
<p style="font-size:12px;">R{{lock2.price}}</p> 

</label>

</div>
                       

                        

                        <div class="form-group">
                            <label for="insurance_options">Insurance</label>
                            <select onchange="getQuote()"  required id="insurance_options" name="insurance_options" class="form-control">
                                <option  value="">Please select an option</option>
                                <option id="own_insurance">I have insurance</option>
                                <option id="needs_insurance">I want insurance</option>
                                <option id="no_insurance">I don't want insurance</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="comment">Describe what you are keeping in this unit (optional):</label>
                            <textarea class="form-control" rows="2" id="note-content"></textarea>



                        </div>
 <div class="row">
                    <div class="col-md-6"> 
                        <button style="border: 2px solid #f4c535; width: 50%;" type="button" class="next_btns" id="menu1_btn">Next</button>
                    </div>
                </div>
                    </div>
                    <!-- END TAB 1 -->

                    <div id="menu1" class="tab-pane fade">
                        <h3>Delivery or client appointment</h3>

                        <div class="form-group">
                            <label>Do you want us to bring the container/pod to you?</label> At a cost of R {{delivery_cost}} if you are in Stellenbosch. If you are outside of Stellenbosch, a delivery cost will be displayed on the next page.
                            <select onchange="getQuote()" class="form-control" id="delivery_required" required>
                                <option  value="">Please select an option</option>
                                <option id="delivery_option" value="Yes">

                            {% if pending_deliveries|length > 0 %}
                                Yes - I would like to deliver the POD with an existing delivery.
                            {% else %}
                                 Yes - I would like to schedule a delivery. R {{delivery_cost}} for Stellenbosch addresses (This price includes dropoff and pickup)
                            {% endif %}

                                </option>
                                <option value="No">No - I will pack the container at the facility (No charges will be incurred)</option>
                            </select>
                        </div>


                        <div id="labor_selection" class="form-group">
                            <label>Do you need assistance with the heavy lifting and loading of items? </label>

                        <p id="jp_labor_cost">
                        At a cost of: R{{JP_LABOR}} for a Jumbo POD </p>
                        <p id="hc_labor_cost">
                         At a cost of: R{{HC_LABOR}} for a Half container</p>
                        <p id="c_labor_cost">
                         At a cost of: R{{C_LABOR}} for a Container </p>
                        <p id="no_cost">
                        No extra cost for your selected unit size </p>

                            <select onchange="getQuote()" class="form-control" id="labor_required" required>
                                <option  value="">Please select an option</option>
                                <option id="labor_option" value="Yes">  Yes 
                                    
                                </option>
                                <option value="No">No</option>
                            </select>
                        </div>

                        <div style="display: none;" id="collection_section">

                            <div class="row">
                                <div class="col-md-6">
                                    <label>Pack date</label>    <br>
                                    <input  required id="pack_date"
                                           class="form-control"/>
                                </div>
                                <div class="col-md-6">
                                    <label>Time</label>   <br> 
                                    <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                        <label class="btn active">
                                            <input value="MORNING" type="radio" name='pack_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                        </label>
                                        <label class="btn">
                                            <input value="AFTERNOON" type="radio" name='pack_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                        </label>
                                    </div>
                                    <br>
                                </div>
                            </div>

                        </div>

                        <div style="display: none;" id="delivery_section">
                            <div class="">
                                <br>
                                <div class="form-group">

                                    {% if pending_deliveries|length > 0 %}
                                    <label>Existing deliveries</label>   <br>
                                    {% endif %}

                                    {% for d in pending_deliveries %}

                                    <div class="radio">
                                        <label><input value="{{d.id}}" checked type="radio" name="existing_delivery"> Add to existing delivery: {% if d.units %}
                                            POD
                                            {{d.units[0].unit_name}}
                                            {% elif d.orders %}
                                            Order #
                                            {{d.orders[0].key.id()}}
                                            {% endif %}
                                            on
                                            {{d.date}} </label>
                                    </div>

                                    {% endfor %}

                                </div>

                            </div>

                            {% if pending_deliveries|length == 0 %}

                            <label>Delivery address in the following format (NB): street number street name, city e.g. 1 Plank street, Stellenbosch</label>

                            <input class="form-control" id="delivery_address">

                            <div class="form-group">
                                <label for="comment">Delivery note, make it easier for the driver to find you:</label>
                                <textarea class="form-control" rows="2" id="delivery-note-content"></textarea>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <label> Drop-off date </label>

                                    <details id="">(Date we bring the pod to you, for packing) 
                                        <p>This date may not be more than 30 days in the future</p></details>

                                    <input class="delivery_field" required  id="dropoff_date"
                                           class="form-control"/>
                                </div>
                                <div class="col-md-6">
                                    <label>Time</label>    <br>

                                    <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                        <label class="btn active">
                                            <input value="MORNING" type="radio" name='dropoff_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                        </label>
                                        <label class="btn">
                                            <input value="AFTERNOON" type="radio" name='dropoff_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                        </label>
                                    </div>
                                    <br>

                                </div>
                            </div>

                            <div class="datetime">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label> Pickup date </label> 
                                        <details id="">(Date we collect the pod again and store it at our facility)
                                            <p>This date may not be more than 30 days in the future</p></details>

                                        <input class="delivery_field" required id="pickup_date"
                                               class="form-control"/>
                                    </div>

                                    <div class="col-md-6">
                                        <label>Time</label>   <br>

                                        <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                            <label class="btn active">
                                                <input value="MORNING" type="radio" name='pickup_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                            </label>
                                            <label class="btn">
                                                <input value="AFTERNOON" type="radio" name='pickup_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                            </label>
                                        </div>
                                        <br>
                                    </div>

                                </div>
                            </div>
                            {% endif %}

                        </div>

                        <div class="row">
                            <div class="col-md-6"> 
                                <button style="border: 2px solid #f4c535; width: 50%;" type="button" class="next_btns" id="menu0_btn">Previous</button>
                            </div>
                            <div class="col-md-6">
                                <button style="border: 2px solid #f4c535; width: 50%;" type="button" class="next_btns" id="menu2_btn">Next</button>
                            </div>
                        </div>







                    </div>

                    <!-- END TAB 2 -->

                    <div id="menu2" class="tab-pane fade">

                        <h3>Payment and contact details</h3>

                        <div class="form-group">
                            <label>Contact number</label> 
                            <input id="cell_no"  required type="tel" class="form-control">
                        </div>

             


                        <p>
                            <label>Please select one of the following payment options</label>
                        <p>
                            <label>Info: </label> Monthly recurring bills vs once off payment for a number of specified months
                        </p>
                        </p>  

                    <div id="pay_monthly_div" >
                        <p>
                            <label class="btn btn-primary active">
                                <input  type="radio" name="payment_options" id="pay_monthly" autocomplete="off" checked> Monthly
                            </label>
                        </p>
                    </div>

                    <p class="text-center">
                    <h4 class="text-center">OR</h4>

                    </p>

                <div id="pay_once_div" >

                    <p>
                        <label class="btn btn-primary "  >
                            <input type="radio" name="payment_options" id="pay_once" autocomplete="off" > Pay once
                        </label>
                    <div id="end_date_div" class="form-group ">
                        <label>
                            Please select the last month of your rent
                            <input required  type='text' class="form-control end_date" id='datetimepicker4'/>
                        </label>


                    </div>
                    </p>
                </div>



            <div id="price_div" class="form-group">


                <div class="input-group">
                    
                   <input id="promo_code" type="text" class="form-control">
                    <br>
                    <br>
                    <button style="border: 2px solid #f4c535; width: 100%; background-color:#f4c535;color:white;" id="promo_btn" class="btn btn-default" type="button">Apply promo code!</button>
                 
                </div>
                <br>


                <div id="price_today_div" >
                    Price (R):
                    <input style="border:0"  class="price" readonly required id="price_today" type='text'  class="form-control"/>

                    <input style="border:0; display: none;" readonly id="quote_id" type='text'  class="form-control"/>


                    <b id="promo_info"></b>
                    <span>
                    <details id="price_details"></details></span>
                </div>
                <div id="price_monthly_div">
                    Price following months (R):
                    <input style="border:0" class="unit_id" readonly required type='text' id="price_monthly"
                           class="form-control"/>
                </div>
                <div style='display: none;' id="labor_costs">
                    Labor cost (R):
                    <input style="border:0"  class="unit_id" readonly required type='text' id="labor_cost"
                               class="form-control"/>
                    
                </div>

                  <div style='display: none;' id="lock_costs">
                    Lock cost (R):
                    <input style="border:0"  class="unit_id" readonly required type='text' id="lock_cost"
                               class="form-control"/>
                    
                </div>

                <div style='display: none;' id="delivery_price_div">
                    Delivery price (R):
                    <input style="border:0"  class="unit_id" readonly required type='text' id="delivery_price"
                               class="form-control"/>
                    <details id="">
                    <b>Destination information</b>
                    <p>Your delivery destination is <span id="distance"></span>KM from PODit in Stellenbosch</p>
                    <b>Delivery cost (R):</b><br>
                    <span id="delivery_price_quoted"></span><br>
                    <b>Delivery cost calculation</b><br>
                    <p>Our delivery price is calculated as follows:</p>
                    <p>Base price of R<span id="base_price"></span> for the first <span id="minimum_distance"></span>KM or less plus R<span id="cost_per_km"></span> for every KM thereafter</p>
                    </details>
                </div>

                <label for="comment">I agree to the <a onclick='$("#sla_div").slideDown()'>Terms and conditions</a></label>
                <input type="checkbox" 
                       name="terms-and-conditions" 
                       required 
                       data-validation-required-message="You must agree to the terms and conditions">
                <br>
                <br>

                <div style="display: none;" id="sla_div">
                    <div style="height: 400px;" id="example1"></div>
                </div>

               <!--  ORDER POD BUTTON -->
               <!--  ORDER POD BUTTON -->
               <!--  ORDER POD BUTTON -->
               <!--  ORDER POD BUTTON -->
                <div class="row">
                    <div class="col-md-6"> 
                        <button style="border: 2px solid #f4c535; width: 50%;" type="button" class="next_btns" id="menu1_btnback">Previous</button>
                    </div>
                    <div class="col-md-6">
                        <button style="border: 2px solid #f4c535; width: 100%; background-color:#f4c535;color:white;" id="add-pod-btn" type="submit">Order POD!</button>
                    </div>

                </div>


  


            </div> <!-- END PRICE DIV -->



        </div>

    </div>









    <div class="row">
        <div class="">

            <div class="loader"></div>

        </div>

    </div>



    </form>
</div>  <!-- End of order DIv -->

<br><br><br>
</div>

<div class="col-md-7">

    {% include "_size_guide_col.html" %}


</div>


</div>


{% endblock %}

{% block scripts %}



<script src="../static/js/pdfobject.js"></script>

<script>
    PDFObject.embed("https://storage.googleapis.com/podit-169717.appspot.com/agreements/3.0%20-%20GENERAL%20TERMS%20AND%20CONDITIONS%20STORAGE%20AGREEMENT%20(1).pdf", "#example1");

</script>
<script src="../static/js/client/add_units_llock.js?v={{js_version}}"></script>

{% endblock %}

